Class Index | File Index

## Classes

- _global_
- Array
- String
- Tee
- Tee.AfricaMap
- Tee.Animation
- Tee.Annotation
- Tee.Area
- Tee.AsiaMap
- Tee.AustraliaMap
- Tee.Bar
- Tee.Bubble
- Tee.Candle
- Tee.Chart
- Tee.Chart.Axes
- Tee.Chart.Axis
- Tee.Chart.Axis-Grid
- Tee.Chart.Axis-Labels
- Tee.Chart.Axis-Ticks
- Tee.Chart.Axis-Title
- Tee.Chart.Legend
- Tee.Chart.Legend-Symbol
- Tee.Chart.Panel
- Tee.Chart.Scroll
- Tee.Chart.SeriesList
- Tee.Chart.Title
- Tee.Chart.Tools
- Tee.Chart.Wall
- Tee.Chart.Zoom
- Tee.ChartImage
- Tee.CircularGauge
- Tee.ColorGrid
- Tee.CursorTool
- Tee.CustomBar
- Tee.CustomSeries
- Tee.CustomSeries-Pointer
- Tee.Data
- Tee.Data.Dimension
- Tee.Data.Metric
- Tee.Donut
- Tee.DragTool
- Tee.Europe27Map
- Tee.EuropeMap
- Tee.FadeAnimation
- Tee.Font
- Tee.Format
- Tee.Gantt
- Tee.Gradient
- Tee.HorizArea
- Tee.HorizBar
- Tee.Line
- Tee.Map
- Tee.Margins
- Tee.MarksAnimation
- Tee.Palette
- Tee.PaletteSeries
- Tee.Pie
- Tee.Point
- Tee.PointXY
- Tee.Polar
- Tee.Rectangle
- Tee.Series
- Tee.Series.Marks
- Tee.SeriesAnimation
- Tee.Shadow
- Tee.SouthAmericaMap
- Tee.Stroke
- Tee.Surface
- Tee.SVGMap
- Tee.Three
- Tee.Tool
- Tee.ToolTip
- Tee.USAMap
- Tee.Volume
- Tee.WorldMap

# Class Tee.Annotation

Extends Tee.Tool.
Represents a rectangle containing text
Defined in: <..\..\src\teechart.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Tee.Annotation(chart, text, x, y)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| format Properties to control the annotation background and text appearance.
| margins Properties to control spacing between text and rectangle boundaries.
| position
| transparent When true, the annotation background is not displayed.
| visible When true, the annotation is displayed.

Fields borrowed from class Tee.Tool:
  active

Method Summary
Method Attributes | Method Name and Description
--- | ---
| add(text)
| clicked(p)
| doDraw()
| doMouseMove(p)
| draw()
| forceDraw()
<inner> | isEmpty(str)
| mousemove(p)
| moveTo(x, y)
| resize()
| setChart(chart)
| shouldDraw()

Methods borrowed from class Tee.Tool:
  mousedown, mouseout

Class Detail
Tee.Annotation(chart, text, x, y)

Parameters:
{Tee.Chart} chart
  The parent chart this annotation belongs to.
{String} text
  The text to draw inside the annotation.
{Number} x Optional, Default: 10
  Optional left side position in pixels.
{Number} y Optional, Default: 10
  Optional top side position in pixels.

Field Detail
{Tee.Format} format
Properties to control the annotation background and text appearance.

{Tee.Margins} margins
Properties to control spacing between text and rectangle boundaries.

position

{Boolean} transparent
When true, the annotation background is not displayed. Only the text is painted.

{Boolean} visible
When true, the annotation is displayed.
Method Detail
add(text)

Parameters:
text

{Boolean} clicked(p)

Parameters:
p

Returns:
  {Boolean} Returns if Tee.Point p is inside this Annotation bounds.

doDraw()

doMouseMove(p)

Parameters:
p

draw()

forceDraw()

<inner> isEmpty(str)

Parameters:
str

mousemove(p)

Parameters:
p

moveTo(x, y)

Parameters:
x
y

resize()

setChart(chart)

Parameters:
chart

shouldDraw()

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Oct 23 2013 16:27:36 GMT+0200 (CEST)